<?php
if (!defined("MODULE_FILE")) {
	header('Location: ../../index.php');
	exit;
}
get_lang($conf['name']);
include('config/config_pages.php');

function menu($logo) {
	global $conf, $confp;
	$home = '<a href="index.php?name='.$conf['name'].'" title="'._HOME.'">'._HOME.'</a>';
	$best = ($confp['rate']) ? '<a href="index.php?name='.$conf['name'].'&best=1" title="'._BEST.'">'._BEST.'</a>' : '';
	$pop = ($confp['rate']) ? '<a href="index.php?name='.$conf['name'].'&hits=1" title="'._POP.'">'._POP.'</a>' : '';
	$liste = '<a href="index.php?name='.$conf['name'].'&op=liste" title="'._LIST.'">'._LIST.'</a>';
	$add = ((is_user() && $confp['add'] == 1) || (!is_user() && $confp['addquest'] == 1)) ? '<a href="index.php?name='.$conf['name'].'&op=add" title="'._ADD.'">'._ADD.'</a>' : '';
	$navi = '[ <a href="index.php?name='.$conf['name'].'" title="'._HOME.'">'._HOME.'</a>';
	$navi .= ($confp['rate']) ? ' | <a href="index.php?name='.$conf['name'].'&best=1" title="'._BEST.'">'._BEST.'</a> | <a href="index.php?name='.$conf['name'].'&hits=1" title="'._POP.'">'._POP.'</a>' : '';
	$navi .= ' | <a href="index.php?name='.$conf['name'].'&op=liste" title="'._LIST.'">'._LIST.'</a>';
	$navi .= ((is_user() && $confp['add'] == 1) || (!is_user() && $confp['addquest'] == 1)) ? ' | <a href="index.php?name='.$conf['name'].'&op=add" title="'._ADD.'">'._ADD.'</a>' : '';
	$navi .= ' ]';
	search($logo, $conf['name'], $navi, $home, $best, $pop, $liste, $add);
}

function pages() {
	global $prefix, $db, $admin_file, $user, $conf, $confp, $confu, $home, $pagetitle, $currentlang;
	$lang = ($conf['multilingual']) ? "AND (c.language='$currentlang' OR c.language='')" : "";
	$newnum = $confp['num'];
	$sbest = (isset($_GET['best'])) ? 1 : 0;
	$shits = (isset($_GET['hits'])) ? 1 : 0;
	$scat = (isset($_GET['cat'])) ? $_GET['cat'] : 0;
	if ($sbest && $confp['rate']) {
		$caton = 0;
		$field = 'best=1&';
		$order = "WHERE s.time <= now() AND s.status!='0' ".$lang." ORDER BY s.score DESC";
		$ordernum = "s.time <= now() AND s.status!='0'";
		$page_logo = _BEST;
		$pagetitle = $conf['defis'].' '._PAGES.' '.$conf['defis'].' '.$page_logo;
	} elseif ($shits && $confp['rate']) {
		$caton = 0;
		$field = 'hits=1&';
		$order = "WHERE s.time <= now() AND s.status!='0' ".$lang." ORDER BY s.counter DESC";
		$ordernum = "s.time <= now() AND s.status!='0'";
		$page_logo = _POP;
		$pagetitle = $conf['defis'].' '._PAGES.' '.$conf['defis'].' '.$page_logo;
	} elseif ($scat) {
		$caton = 1;
		$field = 'cat=$scat&';
		list($cat_title, $cat_description, $cat_parentid) = $db->sql_fetchrow($db->sql_query("SELECT title, description, parentid FROM ".$prefix."_categories WHERE id='$scat'"));
		$order = "WHERE s.cid='$scat' AND s.time <= now() AND s.status!='0' ".$lang." ORDER BY s.time DESC";
		$ordernum = "s.cid='$scat' AND s.time <= now() AND s.status!='0'";
		$pagetitle = $conf['defis'].' '._PAGES.' '.$conf['defis'].' '.$cat_title;
	} else {
		$caton = 1;
		$field = '';
		$order = "WHERE s.time <= now() AND s.status!='0' ".$lang." ORDER BY s.time DESC";
		$ordernum = "s.time <= now() AND s.status!='0'";
		$page_logo = _PAGES;
		$pagetitle = $conf['defis'].' '.$page_logo;
	}
	head();
	if (!$home) {
		if ($scat) {
			if ($cat_parentid){
				open();
				echo '<strong>'.getparent($cat_parentid, $cat_title, 1, ' -> ', $conf['name']).'</strong>';
				close();
			}
			menu($cat_title);
		} else {
			menu($page_logo);
		}
		if ($caton == 1) categories($conf['name'], $confp['col'], $confp['sub'], $confp['catdesc'], $scat, "title ASC", _INP);
	}
	$num = isset($_GET['num']) ? intval($_GET['num']) : 1;
	$offset = ($num - 1) * $newnum;
	$offset = intval($offset);
	$result = $db->sql_query("SELECT s.id, s.cid, s.name, s.title, UNIX_TIMESTAMP(s.time) as formatted, s.hometext, s.comments, s.counter, s.acomm, s.score, s.ratings, c.id, c.title, c.description, c.img, u.user_name FROM ".$prefix."_pages AS s LEFT JOIN ".$prefix."_categories AS c ON (s.cid=c.id) LEFT JOIN ".$prefix."_users AS u ON (s.uid=u.user_id) ".$order." LIMIT $offset, $newnum");
	if ($db->sql_numrows($result) > 0) {
		while (list($pid, $catid, $uname, $stitle, $formatted, $hometext, $comments, $counter, $acomm, $score, $ratings, $cid, $ctitle, $cdescription, $cimg, $user_name) = $db->sql_fetchrow($result)) {
			$time = date(_DATESTRING, $formatted);
			$title = new_graphic($formatted).' <a href="index.php?name='.$conf['name'].'&op=view&id='.$pid.'" title="'.$stitle.'">'.$stitle.'</a>';
			$read = '<a href="index.php?name='.$conf['name'].'&op=view&id='.$pid.'" title="'.$stitle.'">'._READMORE.'</a>';
			$post = ($user_name) ? '&nbsp;'._POSTEDBY.': '.user_info($user_name, 1) : (($uname) ? '&nbsp;'._POSTEDBY.': '.$uname : '&nbsp;'._POSTEDBY.': '.$confu['anonym']);
			$ndate = ($confp['date']) ? '&nbsp;'._DATE.': '.$time : '';
			$reads = ($confp['read']) ? '&nbsp;'._READS.': '.$counter : '';
			if ($acomm) {
				if ($comments == 0) {
					$comm = '&nbsp;<a href="index.php?name='.$conf['name'].'&op=view&id='.$pid.'#'.$pid.'" title="'.$stitle.'">'._COMMENTS.'</a>';
				} elseif ($comments == 1) {
					$comm = '&nbsp;<a href="index.php?name='.$conf['name'].'&op=view&id='.$pid.'#'.$pid.'" title="'.$stitle.'">'._COMMENT.': '.$comments.'</a>';
				} elseif ($comments > 1) {
					$comm= '&nbsp;<a href="index.php?name='.$conf['name'].'&op=view&id='.$pid.'#'.$pid.'" title="'.$stitle.'">'._COMMENTS.': '.$comments.'</a>';
				}
			} else {
				$comm = '';
			}
			$hometext = str_replace('[pagebreak]', '', html_entity_decode(subtext($hometext, $confp['numwords'])));
			$arating = '&nbsp;'.ajax_rating(0, $pid, $conf['name'], $ratings, $score);
			$print = '&nbsp;'.ad_print('index.php?name='.$conf['name'].'&op=printe&id='.$pid);
			$admin = (is_moder($conf['name'])) ? '&nbsp;'.ad_edit($admin_file.'.php?op=page_add&id='.$pid).'&nbsp;'.ad_delete($admin_file.'.php?op=page_delete&id='.$pid, $stitle) : '';
			$cdescription = ($cdescription) ? $cdescription : $ctitle;
			$cimg = ($cimg) ? '<a href="index.php?name='.$conf['name'].'&cat='.$cid.'"><img src="images/categories/'.$cimg.'" border="0" alt="'.$cdescription.'" title="'.$cdescription.'" align="right" hspace="10" vspace="10"></a>' : '';
			$link = '<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td width="75%" align="left"><b>'.$read.'</b>'.$post.$ndate.$reads.$comm.'</td><td>'.$arating.'</td><td align="right">'.$print.$admin.'</td></tr></table>';
			basic($cid, $cimg, $ctitle, $pid, $title, html_entity_decode($hometext), $link, $read, $post, $ndate, $reads, $comm, $arating, $print, $admin);
		}
		num_article($conf['name'], $newnum, $field, 'id', '_pages', 'cid', $ordernum);
	} else {
		warning(_NO_INFO, '', '', 2);
	}
	foot();
}

function liste() {
	global $prefix, $db, $pagetitle, $conf, $confu, $confp, $currentlang;
	$lang = ($conf['multilingual']) ? "AND (c.language='$currentlang' OR c.language='')" : "";
	$listnum = intval($confp['listnum']);
	$let = mb_substr(urldecode($_GET['let']), 0, 1);
	if ($let) {
		$field = 'op=liste&let='.$let.'&';
		$pagetitle = $conf['defis'].' '._PAGES.' '.$conf['defis'].' '._LIST.' '.$conf['defis'].' '.$let;
		$order = "WHERE (UPPER(s.title) LIKE '".$let."%') AND s.time <= now() AND s.status!='0'";
	} else {
		$field = 'op=liste&';
		$pagetitle = $conf['defis'].' '._PAGES.' '.$conf['defis'].' '._LIST;
		$order = "WHERE s.time <= now() AND s.status!='0'";
	}
	$num = isset($_GET['num']) ? intval($_GET['num']) : 1;
	$offset = ($num - 1) * $listnum;
	$offset = intval($offset);
	$result = $db->sql_query("SELECT s.id, s.cid, s.name, s.title, s.time, c.id, c.title, u.user_name FROM ".$prefix."_pages AS s LEFT JOIN ".$prefix."_categories AS c ON (s.cid=c.id) LEFT JOIN ".$prefix."_users AS u ON (s.uid=u.user_id) ".$order." ".$lang." ORDER BY time DESC LIMIT $offset, $listnum");
	head();
	menu(_LIST);
	if ($confp['letter']){
		open();
		letter($conf['name']);
		close();
	}
	if ($db->sql_numrows($result) > 0) {
		open();
		echo '<table width="100%" border="0" cellpadding="2" cellspacing="1" class="sort" id="sort_id"><tr><th>'._ID.'</th><th>'._TITLE.'</th><th>'._CATEGORY.'</th><th>'._DATE.'</th><th>'._POSTEDBY.'</th></tr>';
		while (list($pid, $catid, $uname, $stitle, $time, $cid, $ctitle, $user_name) = $db->sql_fetchrow($result)) {
			$ctitle = (!$ctitle) ? _NO : '<a href="index.php?name='.$conf['name'].'&cat='.$cid.'" title="'.$ctitle.'">'.$ctitle.'</a>';
			$post = ($user_name) ? user_info($user_name, 1) : (($uname) ? $uname : $confu['anonym']);
			echo '<tr class="bgcolor1"><td align="center">'.$pid.'</td><td><a href="index.php?name='.$conf['name'].'&op=view&id='.$pid.'" title="'.$stitle.'">'.$stitle.'</a></td><td align="center">'.$ctitle.'</td><td align="center">'.format_time($time).'</td><td align="center">'.$post.'</td></tr>';
		}
		echo '</table>';
		close();
		$ordernum = ($let) ? "UPPER(title) LIKE '".$let."%' AND time <= now() AND status!='0'" : "time <= now() AND status!='0'";
		num_article($conf['name'], $listnum, $field, 'id', '_pages', 'cid', $ordernum);
	} else {
		warning(_NO_INFO, '', '', 2);
	}
	foot();
}

function printe() {
	global $prefix, $db, $ThemeSel, $pagetitle, $conf, $confn;
	$id = intval($_GET['id']);
	$result = $db->sql_query("SELECT title, time, hometext FROM ".$prefix."_pages WHERE id='$id' AND time <= now() AND status!='0'");
	if ($db->sql_numrows($result) == 1) {
		$db->sql_query("UPDATE ".$prefix."_pages SET counter=counter+1 WHERE sid='$id'");
		list($stitle, $date, $hometext) = $db->sql_fetchrow($result);
		if (file_exists('templates/'.$ThemeSel.'/index.php')) {
			include('templates/'.$ThemeSel.'/index.php');
		} else {
			include('function/template.php');
		}
		$conf['defis'] = urldecode($conf['defis']);
		$title = $stitle.' '.$conf['defis'].' '._PAGES.' '.$conf['defis'].' '.$conf['sitename'];
		$ptitle = format_time($date).' - '.$stitle;
		$url = _COMESFROM.': <a href="'.$conf['homeurl'].'" title="'.$conf['sitename'].'">'.$conf['homeurl'].'</a><br />'._THEURL.': <a href="'.$conf['homeurl'].'/index.php?name='.$conf['name'].'&op=view&id='.$id.'" title="'.$stitle.'">'.$conf['homeurl'].'/index.php?name='.$conf['name'].'&op=view&id='.$id.'</a>';
		prints($title, $ptitle, str_replace('[pagebreak]', '', bb_decode(html_entity_decode($hometext), $conf['name'])), $url);
	} else {
		header('Location: index.php?name='.$conf['name']);
	}
}

function view() {
	global $db, $prefix, $admin_file, $conf, $confu, $confp, $pagetitle, $hometext;
	$id = intval($_GET['id']);
	$pag = intval($_GET['pag']);
	$word = ($_GET['word']) ? text_filter($_GET['word']) : '';
	$result = $db->sql_query("SELECT s.id, s.cid, s.name, s.title, s.time, s.hometext, s.comments, s.counter, s.acomm, s.score, s.ratings, c.id, c.title, c.description, c.parentid, c.img, u.user_name FROM ".$prefix."_pages AS s LEFT JOIN ".$prefix."_categories AS c ON (s.cid=c.id) LEFT JOIN ".$prefix."_users AS u ON (s.uid=u.user_id) WHERE s.id='".$id."' AND s.time <= now() AND s.status!='0'");
	if ($db->sql_numrows($result) == 1) {
		$db->sql_query("UPDATE ".$prefix."_pages SET counter=counter+1 WHERE id='$id'");
		list($pid, $catid, $uname, $title, $time, $hometext, $comments, $counter, $acomm, $score, $ratings, $cid, $ctitle, $cdescription, $cparentid, $cimg, $user_name) = $db->sql_fetchrow($result);
		$pagetitle = (intval($catid)) ? $conf['defis'].' '._PAGES.' '.$conf['defis'].' '.$ctitle.' '.$conf['defis'].' '.$title : $conf['defis'].' '._PAGES.' '.$conf['defis'].' '.$title;
		$cat_title = (!$ctitle) ? _NO : '<a href="index.php?name='.$conf['name'].'&cat='.$catid.'" title="'.$ctitle.'">'.$ctitle.'</a>';
		head();
		if ($cparentid){
			open();
			echo '<strong>'.getparent($cparentid, $cat_title, 1, ' -> ', $conf['name']).'</strong>';
			close();
		}
		menu(_PAGES);
		$conpag = explode("[pagebreak]", $hometext);
		$pageno = count($conpag);
		$pag = ($pag == "" || $pag < 1) ? 1 : $pag;
		if ($pag > $pageno) $pag = $pageno;
		$arrayelement = (int)$pag;
		$arrayelement--;
		$post = ($user_name) ? _POSTEDBY.': '.user_info($user_name, 1) : (($uname) ? _POSTEDBY.': '.$uname : _POSTEDBY.': '.$confu['anonym']);
		$ndate = ($confp['date']) ? '&nbsp;'._DATE.': '.format_time($time) : '';
		$reads = ($confp['read']) ? '&nbsp;'._READS.': '.$counter : '';
		$arating = '&nbsp;'.ajax_rating(1, $pid, $conf['name'], $ratings, $score);
		$print = '&nbsp;'.ad_print('index.php?name='.$conf['name'].'&op=printe&id='.$pid);
		$admin = (is_moder($conf['name'])) ? '&nbsp;'.ad_edit($admin_file.'.php?op=page_add&id='.$pid).'&nbsp;'.ad_delete($admin_file.'.php?op=page_delete&id='.$pid, $title) : '';
		$cdescription = ($cdescription) ? $cdescription : $ctitle;
		$cimg = ($cimg) ? '<a href="index.php?name='.$conf['name'].'&cat='.$cid.'"><img src="images/categories/'.$cimg.'" border="0" alt="'.$cdescription.'" title="'.$cdescription.'" align="right" hspace="10" vspace="10"></a>' : '';
		$link = '<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td width="75%" align="left">'.$post.$ndate.$reads.'</td><td>'.$arating.'</td><td align="right">'.$print.$admin.'</td></tr></table>';
		$hometext = bb_decode(html_entity_decode($conpag[$arrayelement]), $conf['name']);
		if (intval($confp['redirect'])){
			$hometext = preg_replace('/href=http:\/\/(.*)>/sU', 'href='.$conf['redfile'].'\\1>', $hometext);
			$hometext = preg_replace('/href="http:\/\/(.*)"/sU', 'href="'.$conf['redfile'].'\\1"', $hometext);
		}
		basic($cid, $cimg, $ctitle, $pid, search_color($title, $word), search_color($hometext, $word), $link, $read, $post, $ndate, $reads, $comm, $arating, $print, $admin);
		num_pages($conf['name'], 1, $pageno, 1, 'op=view&id='.$id.'&');
		if ($confp['link']) {
			$plimit = intval($confp['linknum']);
			$result2 = $db->sql_query("SELECT id, title, time FROM ".$prefix."_pages WHERE cid='$catid' AND id!='$pid' AND time <= now() AND status!='0' ORDER BY time DESC LIMIT 0, ".$plimit);
			if ($db->sql_numrows($result2) > 0) {
				open();
				echo '<h2 style="margin: 0 0 5px 0;">'._CATASSOC.'</h2><table border="0" cellspacing="0" cellpadding="2">';
				while (list($l_pid, $l_title, $l_date) = $db->sql_fetchrow($result2)) {
					echo '<tr><td><a href="index.php?name='.$conf['name'].'&op=view&id='.$l_pid.'" title="'.$l_title.'"><img src="'.img_find('all/pages').'" border="0"></a></td><td>'.format_time($l_date).' - <a href="index.php?name='.$conf['name'].'&op=view&id='.$l_pid.'" title="'.$l_title.'">'.$l_title.'</a></td></tr>';
				}
				echo '</table>';
				close();
			}
		}
		if ($acomm) {
			echo '<a name="'.$pid.'"></a>';
			show_com($pid);
		}
		foot();
	} else {
		header('Location: index.php?name='.$conf['name']);
	}
}

function add() {
	global $prefix, $db, $user, $conf, $confp, $confu, $pagetitle, $stop;
	$pagetitle = $conf['defis'].' '._PAGES.' '.$conf['defis'].' '._ADD;
	if ((is_user() && $confp['add'] == 1) || (!is_user() && $confp['addquest'] == 1)) {
		head();
		menu(_ADD);
		if ($stop) warning($stop, '', '', 1);
		$catid = intval($_POST['catid']);
		$subject = text_filter($_POST['subject']);
		$hometext = save_text($_POST['hometext'], $confp['redaktor']);
		$postname = text_filter(mb_substr($_POST['postname'], 0, 25));
		if ($_POST['posttype'] == 'preview') preview($subject, html_entity_decode($hometext), '', '', $conf['name']);
		warning(_SUBMIT, '', '', 2);
		open();
		echo '<form name="post" action="index.php?name='.$conf['name'].'" method="post">';
		if (is_user()) {
			echo '<div class="left">'._YOURNAME.':</div><div class="center">'.text_filter(mb_substr($user[1], 0, 25)).'</div>';
		} else {
			$postname = ($postname) ? $postname : $confu['anonym'];
			echo '<div class="left">'._YOURNAME.':</div><div class="center"><input type="text" name="postname" value="'.$postname.'" size="65" class="'.$conf['style'].'"></div>';
		}
		echo '<div class="left">'._TITLE.':</div><div class="center"><input type="text" name="subject" value="'.$subject.'" maxlength="80" size="65" class="'.$conf['style'].'"></div>'
		.'<div class="left">'._CATEGORY.':</div><div class="center"><select name="catid" class="'.$conf['style'].'">'.getcat($conf['name'], $catid).'</select></div>'
		.'<div class="left">'._TEXT.':</div><div class="center">'.textarea(1, 'hometext', replace_break($hometext, $confp['redaktor']), $conf['name'], 25, $confp['redaktor']).'</div>'
		.captcha_random()
		.'<div class="left">'._FUNCTIONS.'</div><div class="center"><select name="posttype" class="'.$conf['style'].'"><option value="preview">'._PREVIEW.'</option><option value="save">'._SAVE.'</option></select></div>'
		.'<div class="button"><input type="hidden" name="op" value="send"><input type="submit" value="'._SEND.'" class="fbutton"></div></form>';
		close();
		foot();
	} else {
		header('Location: index.php?name='.$conf['name']);
	}
}

function send() {
	global $prefix, $db, $user, $conf, $confp, $stop;
	if ((is_user() && $confp['add'] == 1) || (!is_user() && $confp['addquest'] == 1)) {
		$postname = text_filter(mb_substr($_POST['postname'], 0, 25));
		$subject = text_filter($_POST['subject']);
		$hometext = save_text($_POST['hometext'], $confp['redaktor']);
		$catid = intval($_POST['catid']);
		if (!$subject) $stop = _CERROR;
		if (!$hometext) $stop = _CERROR1;
		if (!num_href(html_entity_decode($hometext), $confp['maxlinks'])) $stop = _CERROR5;
		$numsw = explode(' ', text_filter($hometext));
		if (sizeof($numsw) < $confp['minwords']) $stop = _CERROR6;
		if (!$postname && !is_user()) $stop = _CERROR3;
		if (captcha_check()) $stop = _SECCODEINCOR;
		if (!$stop && $_POST['posttype'] == 'save') {
			$postid = (is_user()) ? intval($user[0]) : '';
			$postname = (!is_user()) ? $postname : '';
			$ip = getip();
			$db->sql_query("INSERT INTO ".$prefix."_pages (id, cid, uid, name, title, time, hometext, comments, counter, acomm, score, ratings, ip_sender, status) VALUES (NULL, '$catid', '$postid', '$postname', '$subject', now(), '$hometext', '0', '0', '0', '0', '0', '$ip', '0')");
			head();
			menu(_ADD);
			warning(_SUBTEXT, '?name='.$conf['name'], 10, 2);
			foot();
		} else {
			add();
		}
	} else {
		header('Location: index.php?name='.$conf['name']);
	}
}

switch($op) {
	default:
	pages();
	break;
	
	case 'liste':
	liste();
	break;
	
	case 'printe':
	printe();
	break;
	
	case 'view':
	view();
	break;
	
	case 'add':
	add();
	break;
	
	case 'send':
	send();
	break;
	
	case 'save_com':
	save_com();
	break;
}
?>